# class ItemModifyJob

###

Module | akonadi
Namespace | Akonadi
Class | ItemModifyJob
Inherits | Akonadi::Job

Modifies an existing Item.

### methods

- ItemModifyJob (item, parent)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  item | Akonadi.Item |
  parent | QObject | 0

  Stores data at the item. By default only the meta data is stored, you need to explicitly enable storing of the payload data.

  item - The Item object to store.

  parent - The parent object.

- disableRevisionCheck ( )

  returns Nothing

  Disable revision checking.

- doHandleResponse (tag, data)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  tag | QByteArray |
  data | QByteArray |

- doStart ( )

  returns Nothing

- ignorePayload ( )

  returns bool

- item ( )

  returns Akonadi.Item

  Returns the stored item (including the changed revision number),

- setIgnorePayload (ignore)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  ignore | bool |